<%-include('./shared/header.ejs',{active:'dashboard'})%>
<!-- ########## START: MAIN PANEL ########## -->
<div class="br-mainpanel">
  <div class="br-pageheader pd-y-15 pd-l-20">
    <nav class="breadcrumb pd-0 mg-0 tx-12">
      <a class="breadcrumb-item" href="/dashboard">Dashboard</a>
      <span class="breadcrumb-item active">Question Register</span>
    </nav>
  </div>
  <!-- br-pageheader -->
  <div class="pd-x-20 pd-sm-x-30 pd-t-20 pd-sm-t-30">
    <h4 class="tx-gray-800 mg-b-5">Question Register</h4>
    <p class="mg-b-0">&nbsp;</p>
  </div>

  <div class="br-pagebody">
    <!-- start you own content here -->
    <div class="br-section-wrapper">
      <div class="form-layout form-layout-1 mb-5">
        <form id="mainForm" action="javascript:;">
            <input    
            class="form-control"
            type="hidden"
            name="quick_prep_index_id"
            value="<%= quick_prep_index[0].id %>"
          />
          <div class="row mg-b-25">

            <div class="col-lg-6">
              <div class="form-group">
             <label class="form-control-label">Choose Modules Topics: <span class="tx-danger">*</span></label>
               <select style="width: 400px;height: 40px;" name="module_topic_id">
                <option value="">--Please Select--</option>
                <% modules_name.forEach(function(modules_name,index){ %>
                 <option value="<%= modules_name.deep_dive_question.id %>"><%= modules_name.deep_dive_question.question_sub_title %></option>
                <% }); %>

               </select>
              </div>
            </div>



            <div class="col-lg-6">
                <div class="form-group">
                  <label class="form-control-label"
                    >Question Title: <span class="tx-danger">*</span></label
                  >
                  <input    
                    class="form-control"
                    type="text"
                    name="question_title"
                    placeholder="Enter Question Title"
                  />
                </div>
              </div>
            <div class="col-lg-6">
              <div class="form-group">
                <label class="form-control-label"
                  >Description: <span class="tx-danger">*</span></label
                >
                <input
                  class="form-control"
                  type="text"
                  name="question_description"
                  placeholder="Enter  Details"
                />
              </div>
            </div>

            

            <!-- col-4 -->
          </div>
          <!-- row -->
          <div class="form-layout-footer">
            <button class="btn btn-info">Submit</button>
          </div>
          <!-- form-layout-footer -->
        </form>
      </div>
      <!-- form-layout -->

        <!-- list -->
        <div class="bd bd-gray-300 rounded table-responsive">
            <table class="table mg-b-0">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Question Title</th>
                    <th>Question Description</th>
                    <th>Edit</th>
                    <th>Status</th>
                    <th>Action</th>
                    <th>Lock Status</th>
                    <th>Updation</th>
                    <th>Full Details</th>
                  </tr>
                </thead>
                <tbody>
                  <% var i = 0; %>
                  <% quick_prep.forEach(function(quick_prep,index){ %>
                  <tr>
                    <th scope="row"><%= quick_prep.id %></th>
                    <td><%= quick_prep.question_title %></td>
                    <td><%= quick_prep.question_description %></td>
                    <td><a href="/question_edit/<%=quick_prep.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Edit"
                    >
                      <i class="fa fa-pencil-square-o"></i>
                    </button>
                    </a></td>
                   
                   
                    <td>
                      <% if (quick_prep.active == 1) { %>
                          Active
                       <% } else { %>
                       <b style='color:red;'> In-Active</b> 
                        <% } %>
                    </td>
          
                    <td>
                      <div class="btn-group" role="group" aria-label="Basic example">
                       
                       
                        <% if (quick_prep.active == 1) { %>
                          <a href="/question_inactive/<%=quick_prep.id %>">
                        <button
                        type="button"
                        class="btn btn-secondary"
                        title="Make inactive"
                      >
                        <i class="fa fa-eye-slash"></i>
                      </button>
                    </a>
                      <% } else { %>
                        <a href="/question_active/<%=quick_prep.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Make active"
                    >
                      <i class="fa fa-eye"></i>
                    </button>
                    </a>
                    <% } %>
          
                     <td>
                        <% if (quick_prep.locked == 0) { %>
                            Open
                         <% } else { %>
                         <b style='color:red;'> Lock</b> 
                          <% } %>
                      </td>
          
          
          
                      <td>
          
                        <% if (quick_prep.locked == 0) { %>
                          <a href="/question_block/<%=quick_prep.id %>">
                        <button
                        type="button"
                        class="btn btn-secondary"
                        title="Block"
                      >
                        <i class="fa fa-lock"></i>
                      </button>
                    </a>
                      <% } else { %>
                        <a href="/question_unblock/<%=quick_prep.id %>">
                      <button
                      type="button"
                      class="btn btn-secondary"
                      title="Unblock"
                    >
                      <i class="fa fa-unlock"></i>
                    </button>
                    </a>
                    <% } %>
          
          
                      </td> 
          
                        <td>
                        <a href="/question_fulldetails/<%=quick_prep.id %>">
                            <button
                            type="button"
                            class="btn btn-secondary"
                            title="Add Full Details on this <%= quick_prep.question_title %>"
                          >
                            <i class="fa fa-edit"></i>
                          </button>
                        </a>
                    </td>
          
          
          
          
          
                      </div>
                    </td>
                  </tr>
                  <% }); %>
                </tbody>
              </table>
        </div>



        <%-include('./shared/scripts.ejs')%>

        <script>
            $("#mainForm").validate({
              normalizer: function (value) {
                return $.trim(value);
              },
              rules: {
                question_title: {
                  required: true,
                },
                question_description:{
                  required: true,
                },
                module_topic_id:{
                  required: true,
                },
              
              },
              messages: {
                  question_title: {
                  required: "Question Title  is required",
                },
                question_description: {
                  required: "Description is  required",
                },
                module_topic_id: {
                  required: "Module Topic is  required",
                },
              
              },
              submitHandler: function (form) {
                $("button").prop("disabled", "disabled");
                var form = document.getElementById("mainForm");
                 var data = new FormData(form);
                 //console.log(data);exit();
                $.ajax({
                  type: "POST",
                  url: "/question_register",
                  data: $(form).serialize(),
                  dataType: "json",
                  headers: {
                    "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
                  },
                  success: function (data) {
                    if (data.status == 1) {
                      //toastr
                      //end toastr
                      setTimeout(function () {
                        window.location.reload();
                      }, 1000);
                    } else {
                      //toastr
                      //end toastr
                      setTimeout(function () {
                        window.location.reload();
                      }, 1000);
                    }
                    $("button").prop("disabled", false);
                  },
                  error: function (err) {
                    $("button").prop("disabled", false);
                  },
                });
                return false;
              },
            });
          </script>
          
          <%-include('./shared/footer.ejs')%>
          
          
          
          